
Robotics Systems Commons - Bug #1675
Type name tests fail on OSX mavericks
12/04/2013 10:37 AM - J. Wienke

Status: Resolved Start date: 12/04/2013
Priority: Normal Due date:
Assignee: J. Wienke % Done: 100%
Category: Estimated time: 0.00 hour
Target version: rsb-0.9
Description

/Users/languitar/work/src/rsc/test/rsc/runtime/DemangleTest.cpp:45: Failure
Value of: demangle(typeid(std::string).name())
  Actual: "std::__1::basic_string<char, std::__1::char_traits<char>, std::__1::allocator<char> >" 
Expected: "std::string" 
/Users/languitar/work/src/rsc/test/rsc/runtime/DemangleTest.cpp:46: Failure
Value of: demangle(typeid(std::vector<int>).name())
  Actual: "std::__1::vector<int, std::__1::allocator<int> >" 
Expected: "std::vector<int, std::allocator<int> >" 

/Users/languitar/work/src/rsc/test/rsc/runtime/TypeStringToolsTest.cpp:52: Failure
Value of: typeName(typeid(string))
  Actual: "std::__1::basic_string<char, std::__1::char_traits<char>, std::__1::allocator<char> >" 
Expected: stringName
Which is: "std::string" 
/Users/languitar/work/src/rsc/test/rsc/runtime/TypeStringToolsTest.cpp:56: Failure
Value of: typeName<string>()
  Actual: "std::__1::basic_string<char, std::__1::char_traits<char>, std::__1::allocator<char> >" 
Expected: stringName
Which is: "std::string" 
/Users/languitar/work/src/rsc/test/rsc/runtime/TypeStringToolsTest.cpp:60: Failure
Value of: typeName(string("bla"))
  Actual: "std::__1::basic_string<char, std::__1::char_traits<char>, std::__1::allocator<char> >" 
Expected: stringName
Which is: "std::string" 

Associated revisions
Revision 95f1eaf6 - 12/10/2013 02:44 PM - J. Wienke

fixes #1675: compiler-independent type name tests

Merge branch 'bug-1675'

History
#1 - 12/10/2013 02:45 PM - J. Wienke
- Status changed from In Progress to Resolved
- % Done changed from 0 to 100
Applied in changeset rsc|commit:95f1eaf64063de0be55aa22ab4c13751ab20fba8.
